mac下安装Composer

26点 林涛 189℃ 0评论

Composer 是 PHP5.3以上 的一个依赖管理工具。你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer 会安装这些依赖的库文件。它仅仅是一个依赖关系的管理,如同在iOS开发中Swift 和 Objective-C工程中使用的CocoaPods一样。

安装composer

安装前需确保系统PHP版本在5.3以上,在终端中执行以下命令下载Composer可执行文件:

curl -sS https://getcomposer.org/installer | php

此操作会下载最新版本到当前的工作目录中。然后在当前路径下就可以操作了,如查看Composer版本:

php composer.phar --version //Composer version 1.4.2 2017-05-17 08:17:52

如果下载失败也不用纠结了,直接去手动下载合适的版本https://getcomposer.org/download/,结果的一样的。

这应该算是局部安装了,当跳出当前目录还是无法正常使用,这肯定不是我们所期望的。如果要想全局生效需把composer.phar移到系统/usr/local/bin/目录下:

mv composer.phar /usr/local/bin/composer

然后在全部就可以使用composer,再也不用每次都输入长长的php composer.phar了。至此算是安装完毕。

//版本更新,如果有则更新到最新版本
composer selfupdate

更新完后会提示
Use composer self-update --rollback to return to version 1.4.1可以回退到上一版本。

链接:https://www.jianshu.com/p/fd1b53df3f4b
來源:简书
 

如需转载请注明: 转载自26点的博客

本文链接地址: mac下安装Composer

转载请注明:26点的博客 » mac下安装Composer

喜欢 (0)
发表我的评论
取消评论

表情